Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPickerDragPointMachine Class Reference

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerDragPointMachine:
[legend]

List of all members.

## Public Member Functions

virtual CommandList | transition (const QwtEventPattern &, const QEvent *)
Public Member Functions inherited from QwtPickerMachine
virtual | ~QwtPickerMachine ()
void | reset ()
void | setState (int)
int | state () const

## Additional Inherited Members

Public Types inherited from QwtPickerMachine
enum | Command { Begin, Append, Move, End }
typedef QList< Command > | CommandList
Protected Member Functions inherited from QwtPickerMachine
| QwtPickerMachine ()

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.